CONTENTS OF THIS FILE
---------------------
   
 * Introduction
 * Requirements
 * Installation
 * Configuration
 * Troubleshooting
 * FAQ
 * Maintainers

INTRODUCTION
------------

NZ Govt sites are required to adhere to WCAG 2.1 standards. One of these is
outlined in Section 7 and involves the addition of the autocomplete attribute
in input and textarea fields.

This appears to be an ongoing issue on d.o and currently has no solution.

https://wrms.catalyst.net.nz/wr.php?request_id=308479

REQUIREMENTS
------------

No special requirements.

INSTALLATION
------------
 
 * Install as you would normally install a contributed Drupal module. Visit:
   https://www.drupal.org/documentation/install/modules-themes/modules-7
   for further information.

CONFIGURATION
-------------
 
 * Configure user permissions in Administration » People » Permissions:

   - The 'administer wcag config' permission gives access to the administration
     pages.

 * Setting Defaults

   - The Defaults form will allow field_names to be associated with a purpose.
     One field name per line.

   - If these field names appear in a form built with the Form API and that
     field type matches one that we add the autocomplete attribute to it shall
     have the purpose added or appended (if the autocomplete attribute already
     exists.)

 * Form Settings

   - The Form Settings form lists any forms that have been seen on the site.

   - Field listed on forms can have a purpose added here that will override
     the defaults from the module(s) or those set on the Defaults form.

   - Forms can be set to be ignored. These will not be processed by this module
     and will not have autocomplete attributes added.

   - Forms can be set to be reloaded. When this is set the next time the form
     is visited any new fields will be added to the database.

MAINTAINERS
-----------

Current maintainers:
 * Gold - https://www.drupal.org/u/Gold

This project has been sponsored by:
 * Catalyst IT 
   - https://catalyst.net.nz/
   - https://www.drupal.org/catalyst-it
